from jax import numpy as jnp

from bojaxns.utils import latin_hypercube


def test_latin_hyper_cube():
    num_samples = 50
    ndim = 2
    samples = latin_hypercube(42, num_samples, ndim)
    s = jnp.sort(samples, axis=0) * num_samples
    assert jnp.all(s < jnp.arange(1, num_samples + 1)[:, None])
    assert jnp.all(s > jnp.arange(0, num_samples)[:, None])

    num_samples = 50
    ndim = 2
    samples = latin_hypercube(42, num_samples, ndim)
    s = jnp.sort(samples, axis=0) * num_samples
    assert jnp.all(s < jnp.arange(1, num_samples + 1)[:, None])
    assert jnp.all(s > jnp.arange(0, num_samples)[:, None])
